Package com.io7m.coffeepick.runtime.format.xml

# Class FormatXML1RuntimeChildBuild

java.lang.Object
com.io7m.coffeepick.runtime.format.xml.FormatXML1RuntimeChildBuild

All Implemented Interfaces:
  `FormatXML1RuntimeChildType`, `FormatXML1RuntimeChildType.FormatXML1RuntimeChildBuildType`

    public final class FormatXML1RuntimeChildBuild
    extends java.lang.Object
    implements FormatXML1RuntimeChildType.FormatXML1RuntimeChildBuildType

The build element.

- ## Nested Class Summary

  Nested Classes
  Modifier and Type | Class | Description
  --- | --- | ---
  `static class` | `FormatXML1RuntimeChildBuild.Builder` | Builds instances of type `FormatXML1RuntimeChildBuild`.

  ## Nested classes/interfaces inherited from interface com.io7m.coffeepick.runtime.format.xml.FormatXML1RuntimeChildType

  `FormatXML1RuntimeChildType.FormatXML1RuntimeChildBuildType, FormatXML1RuntimeChildType.FormatXML1RuntimeChildHashType, FormatXML1RuntimeChildType.FormatXML1RuntimeChildTagsType, FormatXML1RuntimeChildType.Kind`

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `RuntimeBuild` | `build()` |
  `static FormatXML1RuntimeChildBuild.Builder` | `builder()` | Creates a builder for `FormatXML1RuntimeChildBuild`.
  `static FormatXML1RuntimeChildBuild` | `copyOf​(FormatXML1RuntimeChildType.FormatXML1RuntimeChildBuildType instance)` | Creates an immutable copy of a `FormatXML1RuntimeChildType.FormatXML1RuntimeChildBuildType` value.
  `boolean` | `equals​(java.lang.Object another)` | This instance is equal to all instances of `FormatXML1RuntimeChildBuild` that have equal attribute values.
  `int` | `hashCode()` | Computes a hash code from attributes: `build`.
  `static FormatXML1RuntimeChildBuild` | `of​(RuntimeBuild build)` | Construct a new immutable `FormatXML1RuntimeChildBuild` instance.
  `java.lang.String` | `toString()` | Prints the immutable value `FormatXML1RuntimeChildBuild` with attribute values.
  `FormatXML1RuntimeChildBuild` | `withBuild​(RuntimeBuild value)` | Copy the current immutable object by setting a value for the `build` attribute.

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface com.io7m.coffeepick.runtime.format.xml.FormatXML1RuntimeChildType.FormatXML1RuntimeChildBuildType

  `kind`

- ## Method Details

  - ### build

    public RuntimeBuild build()
    Specified by:
      `build` in interface `FormatXML1RuntimeChildType.FormatXML1RuntimeChildBuildType`
    Returns:
      The build information

  - ### withBuild

    public final FormatXML1RuntimeChildBuild withBuild​(RuntimeBuild value)
    Copy the current immutable object by setting a value for the `build` attribute. A shallow reference equality check is used to prevent copying of the same value by returning `this`.
    Parameters:
      `value` - A new value for build
    Returns:
      A modified copy of the `this` object

  - ### equals

    public boolean equals​(java.lang.Object another)
    This instance is equal to all instances of `FormatXML1RuntimeChildBuild` that have equal attribute values.
    Overrides:
      `equals` in class `java.lang.Object`
    Returns:
      `true` if `this` is equal to `another` instance

  - ### hashCode

    public int hashCode()
    Computes a hash code from attributes: `build`.
    Overrides:
      `hashCode` in class `java.lang.Object`
    Returns:
      hashCode value

  - ### toString

    public java.lang.String toString()
    Prints the immutable value `FormatXML1RuntimeChildBuild` with attribute values.
    Overrides:
      `toString` in class `java.lang.Object`
    Returns:
      A string representation of the value

  - ### of

    public static FormatXML1RuntimeChildBuild of​(RuntimeBuild build)
    Construct a new immutable `FormatXML1RuntimeChildBuild` instance.
    Parameters:
      `build` - The value for the `build` attribute
    Returns:
      An immutable FormatXML1RuntimeChildBuild instance

  - ### copyOf

    public static FormatXML1RuntimeChildBuild copyOf​(FormatXML1RuntimeChildType.FormatXML1RuntimeChildBuildType instance)
    Creates an immutable copy of a `FormatXML1RuntimeChildType.FormatXML1RuntimeChildBuildType` value. Uses accessors to get values to initialize the new immutable instance. If an instance is already immutable, it is returned as is.
    Parameters:
      `instance` - The instance to copy
    Returns:
      A copied immutable FormatXML1RuntimeChildBuild instance

  - ### builder

    public static FormatXML1RuntimeChildBuild.Builder builder()
    Creates a builder for `FormatXML1RuntimeChildBuild`.

         FormatXML1RuntimeChildBuild.builder()
            .setBuild(com.io7m.coffeepick.runtime.RuntimeBuild) // required build
            .build();

    Returns:
      A new FormatXML1RuntimeChildBuild builder